curl --request POST \
--url https://api.easierprop.com/admin/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Production key"
}
'{
"ok": true,
"data": {
"key": "sk_live_abc123...",
"id": 1,
"label": "Production key",
"prefix": "sk_live_abc",
"max_accounts": 4,
"admin_id": 1,
"created_at": "2023-11-07T05:31:56Z"
}
}Generate a new API key. The full key is only returned once in the response.
curl --request POST \
--url https://api.easierprop.com/admin/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Production key"
}
'{
"ok": true,
"data": {
"key": "sk_live_abc123...",
"id": 1,
"label": "Production key",
"prefix": "sk_live_abc",
"max_accounts": 4,
"admin_id": 1,
"created_at": "2023-11-07T05:31:56Z"
}
}